%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}

Name:           php-channel-htmlpurifier
# Use REST version
Version:        1.0
Release:        2%{?dist}
Summary:        Adds htmlpurifier channel to PEAR

Group:          Development/Languages
License:        Public Domain
URL:            http://htmlpurifier.org
Source0:        http://htmlpurifier.org/channel.xml
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  php-pear 
Requires:       php-common >= 5.1.4 php-pear(PEAR)
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-channel(htmlpurifier) = %{version}-%{release}

%description
This package adds the htmlpurifier channel which allows PEAR packages
from this channel to be installed.


%prep
%setup -q -c -T


%build
# Empty build section, nothing to build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{SOURCE0} $RPM_BUILD_ROOT%{pear_xmldir}/%{name}.xml


%clean
rm -rf $RPM_BUILD_ROOT


%post
if [ $1 -eq  1 ] ; then
   %{__pear} channel-add %{pear_xmldir}/%{name}.xml > /dev/null || :
else
   %{__pear} channel-update %{pear_xmldir}/%{name}.xml > /dev/null ||:
fi


%postun
if [ $1 -eq 0 ] ; then
   %{__pear} channel-delete htmlpurifier.org > /dev/null || :
fi


%files
%defattr(-,root,root,-)
%{pear_xmldir}/%{name}.xml


%changelog
* Fri Aug 27 2010 David Nalley <david@gnsa.us> - 1.0-2
- removed version constraints on BR
* Sat Jan 30 2010 David Nalley <david@gnsa.us> - 1.0-1
- initial packaging
